Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkShortArray Class Reference

`#include <vtkShortArray.h>`

Inheritance diagram for vtkShortArray:

[legend]
Collaboration diagram for vtkShortArray:

[legend]
List of all members.

## Detailed Description

dynamic, self-adjusting short integer array

Date:
  2002/11/12 18:32:04

Revision:
  1.66

vtkShortArray is an array of short integer numbers. It provides methods for insertion and retrieval of integer values, and will automatically resize itself to hold new data.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (41%)
  - Martin, Ken (21%)
  - Henderson, Amy (7%)
  - Geveci, Berk (7%)
  - Miller, Jim (7%)
  - Kelly, Ann (6%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkShortArray.h)`
  - .`cxx` (`/Common/vtkShortArray.cxx)`

Tests:
  vtkShortArray (Tests)

Definition at line 50 of file vtkShortArray.h.

## Public Types
typedef vtkDataArray | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
int | Allocate (const vtkIdType sz, const vtkIdType ext=1000)
void | Initialize ()
int | GetDataType ()
int | GetDataTypeSize ()
void | SetNumberOfTuples (const vtkIdType number)
float * | GetTuple (const vtkIdType i)
void | Squeeze ()
virtual void | Resize (vtkIdType numTuples)
float | GetComponent (const vtkIdType i, const int j)
void | SetComponent (const vtkIdType i, const int j, float c)
void | InsertComponent (const vtkIdType i, const int j, float c)
short | GetValue (const vtkIdType id)
void | SetNumberOfValues (const vtkIdType number)
void | InsertValue (const vtkIdType id, const short i)
vtkIdType | InsertNextValue (const short)
short * | WritePointer (const vtkIdType id, const vtkIdType number)
void | DeepCopy (vtkDataArray *da)
void | GetTuple (const vtkIdType i, float *tuple)
void | GetTuple (const vtkIdType i, double *tuple)
void | SetTuple (const vtkIdType i, const float *tuple)
void | SetTuple (const vtkIdType i, const double *tuple)
void | InsertTuple (const vtkIdType i, const float *tuple)
void | InsertTuple (const vtkIdType i, const double *tuple)
vtkIdType | InsertNextTuple (const float *tuple)
vtkIdType | InsertNextTuple (const double *tuple)
void | SetValue (const vtkIdType id, const short value)
void * | GetVoidPointer (const vtkIdType id)
short * | GetPointer (const vtkIdType id)
void | SetArray (short *array, vtkIdType size, int save)
void | SetVoidArray (void *array, vtkIdType size, int save)
## Static Public Methods
vtkShortArray * | New ()
int | IsTypeOf (const char *type)
vtkShortArray * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkShortArray (vtkIdType numComp=1)
| ~vtkShortArray ()
short * | ResizeAndExtend (const vtkIdType sz)
## Protected Attributes
short * | Array
int | TupleSize
float * | Tuple
int | SaveUserArray

## Member Typedef Documentation

typedef vtkDataArray vtkShortArray::Superclass

| Reimplemented from vtkDataArray. Definition at line 55 of file vtkShortArray.h.

## Constructor & Destructor Documentation

vtkShortArray::vtkShortArray | ( | vtkIdType | numComp = 1 | ) | `[protected]`

vtkShortArray::~vtkShortArray | ( |  | ) | `[protected]`

## Member Function Documentation

vtkShortArray* vtkShortArray::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkShortArray::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataArray.

int vtkShortArray::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataArray.

virtual int vtkShortArray::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataArray.

vtkShortArray* vtkShortArray::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataArray.

void vtkShortArray::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataArray.

int vtkShortArray::Allocate | ( | const vtkIdType | sz,
|  | const vtkIdType | ext = 1000
| ) | `[virtual]`

| Allocate memory for this array. Delete old storage only if necessary. Note that ext is no longer used. Implements vtkDataArray. Referenced by SetNumberOfValues().

void vtkShortArray::Initialize | ( |  | ) | `[virtual]`

| Release storage and reset array to initial state. Implements vtkDataArray.

int vtkShortArray::GetDataType | ( |  | ) | `[inline, virtual]`

| Get the data type. Implements vtkDataArray. Definition at line 66 of file vtkShortArray.h. References VTK_SHORT.

int vtkShortArray::GetDataTypeSize | ( |  | ) | `[inline, virtual]`

| Return the size of the data type. Implements vtkDataArray. Definition at line 69 of file vtkShortArray.h.

void vtkShortArray::SetNumberOfTuples | ( | const vtkIdType | number | ) | `[virtual]`

| Set the number of n-tuples in the array. Implements vtkDataArray.

float* vtkShortArray::GetTuple | ( | const vtkIdType | i | ) | `[virtual]`

| Get a pointer to a tuple at the ith location. This is a dangerous method (it is not thread safe since a pointer is returned). Implements vtkDataArray.

void vtkShortArray::GetTuple | ( | const vtkIdType | i,
|  | float * | tuple
| ) | `[virtual]`

| Copy the tuple value into a user-provided array. Implements vtkDataArray.

void vtkShortArray::GetTuple | ( | const vtkIdType | i,
|  | double * | tuple
| ) | `[virtual]`

| Copy the tuple value into a user-provided array. Reimplemented from vtkDataArray.

void vtkShortArray::SetTuple | ( | const vtkIdType | i,
|  | const float * | tuple
| ) | `[virtual]`

| Set the tuple value at the ith location in the array. Implements vtkDataArray.

void vtkShortArray::SetTuple | ( | const vtkIdType | i,
|  | const double * | tuple
| ) | `[virtual]`

| Set the tuple value at the ith location in the array. Reimplemented from vtkDataArray.

void vtkShortArray::InsertTuple | ( | const vtkIdType | i,
|  | const float * | tuple
| ) | `[virtual]`

| Insert (memory allocation performed) the tuple into the ith location in the array. Implements vtkDataArray.

void vtkShortArray::InsertTuple | ( | const vtkIdType | i,
|  | const double * | tuple
| ) | `[virtual]`

| Insert (memory allocation performed) the tuple into the ith location in the array. Reimplemented from vtkDataArray.

vtkIdType vtkShortArray::InsertNextTuple | ( | const float * | tuple | ) | `[virtual]`

| Insert (memory allocation performed) the tuple onto the end of the array. Implements vtkDataArray.

vtkIdType vtkShortArray::InsertNextTuple | ( | const double * | tuple | ) | `[virtual]`

| Insert (memory allocation performed) the tuple onto the end of the array. Reimplemented from vtkDataArray.

void vtkShortArray::Squeeze | ( |  | ) | `[inline, virtual]`

| Resize object to just fit data requirement. Reclaims extra memory. Implements vtkDataArray. Definition at line 105 of file vtkShortArray.h.

virtual void vtkShortArray::Resize | ( | vtkIdType | numTuples | ) | `[virtual]`

| Resize the array while conserving the data. Implements vtkDataArray.

float vtkShortArray::GetComponent | ( | const vtkIdType | i,
|  | const int | j
| ) | `[virtual]`

| Return the data component at the ith tuple and jth component location. Note that i is less then NumberOfTuples and j is less then NumberOfComponents. Reimplemented from vtkDataArray.

void vtkShortArray::SetComponent | ( | const vtkIdType | i,
|  | const int | j,
|  | float | c
| ) | `[virtual]`

| Set the data component at the ith tuple and jth component location. Note that i is less then NumberOfTuples and j is less then NumberOfComponents. Make sure enough memory has been allocated (use SetNumberOfTuples() and SetNumberOfComponents()). Reimplemented from vtkDataArray.

void vtkShortArray::InsertComponent | ( | const vtkIdType | i,
|  | const int | j,
|  | float | c
| ) | `[virtual]`

| Insert the data component at ith tuple and jth component location. Note that memory allocation is performed as necessary to hold the data. Reimplemented from vtkDataArray.

short vtkShortArray::GetValue | ( | const vtkIdType | id | ) | `[inline]`

| Get the data at a particular index. Definition at line 127 of file vtkShortArray.h. References id, and vtkIdType.

void vtkShortArray::SetValue | ( | const vtkIdType | id,
|  | const short | value
| ) | `[inline]`

| Set the data at a particular index. Does not do range checking. Make sure you use the method SetNumberOfValues() before inserting data. Definition at line 132 of file vtkShortArray.h. References id, and vtkIdType.

void vtkShortArray::SetNumberOfValues | ( | const vtkIdType | number | ) | `[inline]`

| Specify the number of values for this object to hold. Does an allocation as well as setting the MaxId ivar. Used in conjunction with SetValue() method for fast insertion. Definition at line 192 of file vtkShortArray.h. References Allocate(), vtkDataArray::MaxId, and vtkIdType.

void vtkShortArray::InsertValue | ( | const vtkIdType | id,
|  | const short | i
| ) | `[inline]`

| Insert data at a specified position in the array. Definition at line 214 of file vtkShortArray.h. References Array, id, vtkDataArray::MaxId, ResizeAndExtend(), vtkDataArray::Size, and vtkIdType. Referenced by InsertNextValue().

vtkIdType vtkShortArray::InsertNextValue | ( | const | short | ) | `[inline]`

| Insert data at the end of the array. Return its location in the array. Definition at line 227 of file vtkShortArray.h. References InsertValue(), vtkDataArray::MaxId, and vtkIdType.

short * vtkShortArray::WritePointer | ( | const vtkIdType | id,
|  | const vtkIdType | number
| ) | `[inline]`

| Get the address of a particular data index. Make sure data is allocated for the number of items requested. Set MaxId according to the number of data values requested. Definition at line 199 of file vtkShortArray.h. References Array, id, vtkDataArray::MaxId, ResizeAndExtend(), vtkDataArray::Size, and vtkIdType.

void* vtkShortArray::GetVoidPointer | ( | const vtkIdType | id | ) | `[inline, virtual]`

| Get the address of a particular data index. Performs no checks to verify that the memory has been allocated etc. Implements vtkDataArray. Definition at line 156 of file vtkShortArray.h. References id, and vtkIdType.

short* vtkShortArray::GetPointer | ( | const vtkIdType | id | ) | `[inline]`

| Get the address of a particular data index. Performs no checks to verify that the memory has been allocated etc. Definition at line 158 of file vtkShortArray.h. References id, and vtkIdType.

void vtkShortArray::DeepCopy | ( | vtkDataArray * | da | ) | `[virtual]`

| Deep copy of another short array. Reimplemented from vtkDataArray.

void vtkShortArray::SetArray | ( | short * | array,
|  | vtkIdType | size,
|  | int | save
| ) |

| This method lets the user specify data to be held by the array. The array argument is a pointer to the data. size is the size of the array supplied by the user. Set save to 1 to keep the class from deleting the array when it cleans up or reallocates memory. The class uses the actual array provided; it does not copy the data from the suppled array.

void vtkShortArray::SetVoidArray | ( | void * | array,
|  | vtkIdType | size,
|  | int | save
| ) | `[inline]`

| This method lets the user specify data to be held by the array. The array argument is a pointer to the data. size is the size of the array supplied by the user. Set save to 1 to keep the class from deleting the array when it cleans up or reallocates memory. The class uses the actual array provided; it does not copy the data from the suppled array. Definition at line 172 of file vtkShortArray.h. References vtkIdType.

short* vtkShortArray::ResizeAndExtend | ( | const vtkIdType | sz | ) | `[protected]`

| Referenced by InsertValue(), and WritePointer().

## Member Data Documentation

short* vtkShortArray::Array`[protected]`

| Definition at line 180 of file vtkShortArray.h. Referenced by InsertValue(), and WritePointer().

int vtkShortArray::TupleSize`[protected]`

| Definition at line 183 of file vtkShortArray.h.

float* vtkShortArray::Tuple`[protected]`

| Definition at line 184 of file vtkShortArray.h.

int vtkShortArray::SaveUserArray`[protected]`

| Definition at line 186 of file vtkShortArray.h.

The documentation for this class was generated from the following file:

- Common/vtkShortArray.h